Subject: Re: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 May 2016 18:35:06 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 26 May 2016 02:21:40 +0300
> 
> > Backend-specific, most probably.  Except that currently we only have a
> > good idea about the Git backend, for which it is explicitly documented
> > that the output will be in UTF-8 when content filters are used.
> >
> 
> Taking a step back, I'm not sure it's really necessary to fix this. 
> Because Uwe, the only person to complain about diffing UTF-16 files so 
> far, can solve it much easier by switching the file to UTF-8.
> 
> And properly fixing it, across the board, is either impossible, or at 
> least pretty hard.

Well, it's not too hard for Git, so I think it would be good to fix
it, at least on master.

> >> We can always extract a new function when it's needed, though.
> >
> > True, but I think if we want to support UTF-16 files, the need is
> > already here.  vc-diff and its derivatives are just the tip of the
> > iceberg, we will need similar stuff for every command that includes
> > both text from the versioned file(s) and some text output by the VCS
> > program itself.
> 
> Here's a patch everybody is welcome to try.

Thanks.  Like I said, I don't like using string-equal to compare
unencoded and encoded strings, but that aspect could be fixed by a
follow-up change.

If no one objects in a week, I suggest to push to master.